function __wizGetSpeachText() {
    var doc = document;
    var sel = __wizSel;
    if (null == doc)
        return null;
    //
    var text = null;
    //
    if (sel) {
        var selection = doc.getSelection();
        if (null == selection)
            return null;
        if (selection.rangeCount == 0)
            return null;
        var range = selection.getRangeAt(0);
        if (null == range)
            return null;
        text = range.toString();
    }
    else {
        text = doc.body.innerText;
    }
    //
    return text;
}
__wizGetSpeachText();

